## NAME

CURLOPT_MAXFILESIZE - maximum file size allowed to download

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MAXFILESIZE, long size);

## DESCRIPTION

Pass a long as parameter. This allows you to specify the maximum size (in bytes) of a file to download. If the file requested is found larger than this value, the transfer will not start and CURLE_FILESIZE_EXCEEDED will be returned.

The file size is not always known prior to download, and for such files this option has no effect even if the file transfer ends up being larger than this given limit. This concerns both FTP and HTTP transfers.

If you want a limit above 2GB, use CURLOPT_MAXFILESIZE_LARGE.

## DEFAULT

None

## PROTOCOLS

FTP and HTTP

## EXAMPLE

TODO

## AVAILABILITY

Always

## RETURN VALUE

Returns CURLE_OK

## SEE ALSO

CURLOPT_MAXFILESIZE_LARGE, CURLOPT_MAX_RECV_SPEED_LARGE

This HTML page was made with roffit.